# Import module
import nds

# Open connection and print some information about the server
conn = nds.connection('llocds.ligo-la.caltech.edu', 31200)
print "Connection:", conn
print "Host:", conn.get_host()
print "Port:", conn.get_port()
print "Protocol:", conn.get_protocol()

# Get list of available channels and print some information about them
channels = conn.find_channels()
print "Number of channels:", len(channels)
print "First channel:", channels[0]
print "First channel name:", channels[0].name

# Fetch some data
data = conn.fetch(1018376019, 1018376030,
    ['L1:PEM-EY_SEISX_OUT_DQ', 'L1:PEM-EY_SEISY_OUT_DQ', 'L1:PEM-EY_SEISZ_OUT_DQ'])
print "A buffer:", data[0]
print "Its data:", data[0].data
print "Its channel:", data[0].channel
